/*
 * Copyright (C) 2010 Atmark Techno, Inc. All Rights Reserved.
 */

/*
 * The code contained herein is licensed under the GNU General Public
 * License. You may obtain a copy of the GNU General Public License
 * Version 2 or later at the following locations:
 *
 * http://www.opensource.org/licenses/gpl-license.html
 * http://www.gnu.org/copyleft/gpl.html
 */

#ifndef __ASM_ARCH_MXC_ARMADILLO400_GPIO_H__
#define __ASM_ARCH_MXC_ARMADILLO400_GPIO_H__

#define GPIO_PORT_NUM		4
#define GPIO_NUM_PIN		32
#define GPIO(port, num)		(((port) - 1) * GPIO_NUM_PIN + (num))

#define FEC_LINK_LED_GPIO	GPIO(3, 16)
#define FEC_PHY_RST_GPIO	GPIO(3, 18)

#define I2C1_CLK_GPIO		GPIO(1, 12)
#define I2C1_DAT_GPIO		GPIO(1, 13)
#define I2C2_CLK_GPIO		GPIO(1, 2)
#define I2C2_DAT_GPIO		GPIO(1, 3)
#define I2C3_CLK_GPIO		GPIO(1, 0)
#define I2C3_DAT_GPIO		GPIO(1, 1)

#define SDHC1_CLK_GPIO		GPIO(2, 24)
#define SDHC1_CD_GPIO		GPIO(3, 31)
#define SDHC1_PWREN_GPIO	GPIO(3, 27)
#define SDHC2_CLK_GPIO		GPIO(1, 6)
#define SDHC2_CD_GPIO		GPIO(4, 21)
#define SDHC2_WP_GPIO		GPIO(1, 7)
#define SDHC2_PWREN_GPIO	GPIO(3, 17)

#define UART2_FORCEOFF_GPIO	GPIO(4, 31)

#define USB_PWRSEL_GPIO		GPIO(3, 26)
#define		USB_PWRSRC_5V	1
#define		USB_PWRSRC_VIN	0
#define		USB_PWRSRC	USB_PWRSRC_VIN

#endif
